Package: org.codehaus.groovy.macro.runtime

## [Java] Enum MacroBuilder

- org.codehaus.groovy.macro.runtime.MacroBuilder

- Runtime support for

      macro { }

  method.
  Authors:
    Sergei Egorov
  Since:
    2.5.0

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `INSTANCE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static ASTNode` | `getMacroValue(BlockStatement closureBlock, boolean asIs)`
    `<T>` | `T` | `macro(String source, List<Closure<Expression>> context, Class<T> resultClass)` Runtime support for
        macro { }
    method.
    `<T>` | `T` | `macro(boolean asIs, String source, List<Closure<Expression>> context, Class<T> resultClass)`
    `<T>` | `T` | `macro(CompilePhase compilePhase, String source, List<Closure<Expression>> context, Class<T> resultClass)`
    `<T>` | `T` | `macro(CompilePhase compilePhase, boolean asIs, String source, List<Closure<Expression>> context, Class<T> resultClass)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### MacroBuilder INSTANCE

  - ### Method Detail

    - #### public static ASTNode getMacroValue(BlockStatement closureBlock, boolean asIs)

    - #### <T> public T macro(String source, List<Closure<Expression>> context, Class<T> resultClass)

      Runtime support for

          macro { }

      method.
      Authors:
        Sergei Egorov
      Since:
        2.5.0

    - #### <T> public T macro(boolean asIs, String source, List<Closure<Expression>> context, Class<T> resultClass)

    - #### <T> public T macro(CompilePhase compilePhase, String source, List<Closure<Expression>> context, Class<T> resultClass)

    - #### <T> @SuppressWarnings("unchecked") public T macro(CompilePhase compilePhase, boolean asIs, String source, List<Closure<Expression>> context, Class<T> resultClass)